<?php function ocmx_grid_infinite_scroll(){

	$album_query_args = array( "post_type" => "album", 'paged' => $_POST['paged'] );

	if( isset( $_POST[ 'meta' ] ) && is_array( $_POST[ 'meta' ] ) ) {
		if( '' != $_POST[ 'meta' ][ 'category' ] && '0' != $_POST[ 'meta' ][ 'category' ] ){
			$album_query_args["tax_query"] = array(
				array(
					"taxonomy" => 'album-category',
					"field" => "term_id",
					"terms" => $_POST[ 'meta' ][ 'category' ]

				)
			);
		}

		$album_orderby = $_POST[ 'meta' ][ 'orderby' ];
		$album_order = $_POST[ 'meta' ][ 'order' ];
		if( '' != $album_orderby ){
			$album_query_args["orderby"] = $album_orderby;
			$album_query_args["order"] = $album_order;
		}

		$posts_per_page = $_POST[ 'meta' ][ 'count' ];
		if( '' != $posts_per_page ){
			$album_query_args["posts_per_page"] = $posts_per_page;
		}

		$post_type = $_POST[ 'meta' ][ 'post_type' ];
		if( '' != $post_type ){
			$album_query_args["post_type"] = $post_type;
		}
	}

	$album_query_args["post_status"] = "publish";
	if( isset($_POST[ 'paged' ]) )
		$paged = $_POST['paged'];
	else
		$paged = 0;

	$album_query = new WP_Query($album_query_args);

	$result['args'] = $album_query_args;

	global $resizer;
	if( !isset( $posts_per_page ) || ( isset( $posts_per_page ) && $posts_per_page <= 4 ) ){
		$resizer = '1080auto';
	} elseif( isset( $posts_per_page ) && $posts_per_page <= 6 ){
		$resizer = '600x338';
	} else{
		$resizer = '400x300';
	}

	if ( $album_query->have_posts() ) :
		$result["args"] = $album_query_args;
		$result["success"] = true;
		ob_start();
		while ( $album_query->have_posts() ) : $album_query->the_post();
			get_template_part('/functions/album-image-collage-view');
		endwhile;
		$result["html"] = esc_js( ob_get_clean() );
	else :
		$result["success"] = false;
	endif;

	die( json_encode( $result ) );

	die();
} ?>