<?php get_header(); ?>

<!--Begin Tabs -->
<div class="content-panel clearfix">
	  <?php if( get_option( "ocmx_meta_related" ) != "false" ): ?>
		<a class="related-photos-link" href=""><?php _e('Related Posts','ocmx'); ?></a>
	  <?php endif; ?>
	<!--Show Related Photos -->
	<div class="related-photos">
		<h4 class="panel-title"><?php _e('Quick View','ocmx'); ?></h4>
		<ul class="photolist">
		<?php $attachmentargs = array("post_type" => "attachment", 'post_parent' => $post->post_parent, 'numberposts' => '-1');
		$attachments = get_posts( $attachmentargs );
				if(empty($attachments)) { echo __("Sorry no more images." ,"ocmx");
					} else {
				foreach( $attachments as $attachement => $this_attachment ) {
				$image = wp_get_attachment_image_src($this_attachment->ID, '180x112'); ?>
				<li class="photo-item">
					<a class="photo" href="<?php echo get_permalink( $this_attachment->ID ); ?>">
						<img src="<?php echo $image[0]; ?>" alt="<?php the_title( $post->ID ) ?>" />
					</a>
				</li>
			<?php }
			} ?>
		</ul>
	</div>
</div>

<div id="header-container">
	<div id="header" class="clearfix">
		<!--Show the Logo -->
		<div class="logo">
			<h1>
				<a href="<?php echo home_url(); ?>">
					<?php if(get_option("ocmx_custom_logo")) : ?>
						<img src="<?php echo get_option("ocmx_custom_logo"); ?>" alt="<?php bloginfo('name'); ?>" />
					<?php else : ?>
						<?php  strip_tags(bloginfo('name')); ?>
					<?php endif; ?>
				</a>
			</h1>
		</div>
		<!--Show the Return Link -->
		<?php
		// Get all image attachments
		$all_images = get_posts( array(
			'post_type' => 'attachment',
			'numberposts' => 1,
			'post_parent' => $post->post_parent
		) );
		// Step through all image attachments
		foreach ( $all_images as $image ) {
			// Get the parent post ID
			$parent_id = $image->post_parent;
			// Get the parent post Title
			$parent_title = get_the_title( $parent_id );
			// Get the parent post permalink
			$parent_permalink = get_permalink( $parent_id ); ?>

			<a class="view-post" href="<?php echo $parent_permalink; ?>">&larr; <?php _e('Return to Album','ocmx'); ?></a>
		<?php }
		?>
	</div>
</div><!--End Header -->
<!--Begin Attachment Content -->
<div id="content-container" class="clearfix">
	<!--Show the Image -->
	<ul class="photolist">
		<?php if ( have_posts() ) while ( have_posts() ) : the_post();
			$this_attachment = $post;
			get_template_part("/functions/album-image-view");
		endwhile;?>
	</ul>
	<!--Show the Social Links and Tags if enabled -->
	<ul class="post-meta">
		<?php if( get_option( "ocmx_meta_social" ) != "false" ): ?>
			<li class="meta-block">
				<?php if( get_option( "ocmx_social_tag" ) != ""): ?>
					<div class="social"><?php echo get_option( "ocmx_social_tag" ); ?></div>
				<?php  else:
					get_template_part( 'functions/sharing-buttons' );
				 endif; ?>
			</li>
		<?php endif; ?>

	</ul>
</div><!--End Attachment -->

<?php wp_footer(); ?>
</body>
</html>
