<?php  global $obox_themename, $input_prefix;

/*****************/
/* Theme Details */

$obox_themename = "Photogenic";
$obox_themeid = "photogenic";
$productid = "1914";
$presstrendsid = "";

/**********************/
/* Include OCMX files */
$include_folders = array("/ocmx/includes/", "/ocmx/theme-setup/", "/ocmx/widgets/", "/ocmx/front-end/", "/ajax/", "/ocmx/interface/");

// Include the interface files if we're in wp-admin
include_once (get_template_directory()."/ocmx/folder-class.php");
include_once (get_template_directory()."/ocmx/load-includes.php");

/***********************/
/* Add OCMX Menu Items */
add_action('admin_menu', 'ocmx_add_admin');
function ocmx_add_admin() {
	global $wpdb;
	add_object_page("Theme Options", "Theme Options", "manage_options", basename(__FILE__), '', get_template_directory_uri(). '/ocmx/images/ocmx.png');
	add_submenu_page(basename(__FILE__), "General Options", "General", "manage_options", basename(__FILE__), 'ocmx_general_options');
	add_submenu_page(basename(__FILE__), "Adverts", "Adverts", "manage_options",  "ocmx-adverts", 'ocmx_advert_options');
	add_submenu_page(basename(__FILE__), "Customize", "Customize", "manage_options", "customize.php");
	add_submenu_page(basename(__FILE__), "Help", "Help", "manage_options", "obox-help", 'ocmx_welcome_page');


};