<div class="grid">
	<div class="title-block">
		<h2 class="post-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>
		<?php if(get_option("ocmx_meta_date_album") != "false"): ?>
			<h5 class="post-date"><?php the_time(get_option('date_format')); ?></h5>
		<?php endif; ?>
	</div>
	<?php
	$attachmentargs = array("post_type" => "attachment", "post_parent" => $post->ID, "numberposts" => "5", "orderby" => "menu_order", "order" => "ASC");
	$attachments = get_posts( $attachmentargs );
	if( count($attachments) < 2 ) {
		$resizer = '1080auto';
	} elseif( count($attachments) < 4 ) {
		$resizer = '600x338';
	} else {
		$resizer = '400x300';
	} ?>
		<ul class="album-grid clearfix photos-<?php echo count( $attachments ); ?>">
			 <?php foreach( $attachments as $attachement => $this_attachment ) :

				$image = wp_get_attachment_image_src( $this_attachment->ID, $resizer ); ?>
				<li>
					<a class="photo" href="<?php the_permalink(); ?>">
						<img src="<?php echo $image[0]; ?>" alt="<?php the_title( $post->ID ) ?>" />
					</a>
				</li>
			<?php endforeach; ?>
		</ul>
	<?php
		$excerpt = get_the_excerpt();
		if( $post->post_excerpt != "" ) :
			echo '<div class="copy">';
				echo $excerpt;
			echo '</div>';
		endif; ?>
</div>