<?php // Parent page link
$parentpage = get_template_link("album.php");

// Album terms
$terms = get_terms("album-category", "orderby=title&hide_empty=0&parent=0");


if( !empty( $terms ) ) : ?>
	<ul class="gallery-categories">
		<?php if( isset( $parentpage ) && is_object( $parentpage ) ) { ?>
			<li><a href="<?php echo get_permalink( $parentpage->ID ); ?>"><?php _e("All Albums", "ocmx"); ?></a></li>
		<?php } ?>
		<?php foreach( $terms as $album_term ) {
			$link = get_term_link($album_term->slug, "album-category");
			$class = "";
			if( is_tax() ) {
				$current_term = get_term_by( 'slug', get_query_var('term' ), get_query_var( 'taxonomy' ) );
				if( isset( $current_term ) && $current_term ==  $album_term->slug ){
					$class = 'class="active"';
				}
			} ?>
			<li <?php echo $class; ?>><a href="<?php echo $link; ?>"><?php echo $album_term->name; ?></a></li>
		<?php } ?>
	</ul>
<?php endif; ?>