<div class="title-block">
	<!--Show the Title -->
	<h2 class="post-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>
	<!--Show the Date, if enabled: -->
	<?php if( get_option( "ocmx_meta_date" ) != "false" ): ?>
		<h5 class="post-date"><?php the_time( get_option('date_format') ); ?></h5>
	<?php endif; ?>
</div>

<div id="post-<?php the_ID(); ?>" <?php post_class("grid clearfix"); ?>>
	<!--Show Featured Image(s) or Video -->
	<?php if(obox_has_video($post->ID)) :
		$args  = array( 'postid' => $post->ID, 'width' => 600, 'height' => 338, 'hide_href' => true, 'imglink' => false, 'imgnocontainer' => true, 'resizer' => '600x338', 'exclude_video' => false );

		$image = get_obox_media($args); ?>

		<div class="fitvid">
			<?php echo $image; ?>
		</div>

	<?php else : ?>

		<?php
		$attachmentargs = array( "post_type" => "attachment", "post_parent" => $post->ID, "numberposts" => "5", "order" => "ASC" );
		$attachments = get_posts( $attachmentargs );

		if( !empty( $attachments ) && count( $attachments ) > 0 ) : ?>

			<ul class="album-grid clearfix photos-<?php echo count( $attachments ); ?>">

				 <?php foreach( $attachments as $attachement => $this_attachment ) :

					// Set the image size according to the amount of images in the post
					if(count($attachments) == 1) :
						$size = '615x460';
					else :
						$size = '400x300';
					endif;

					$image = wp_get_attachment_image_src( $this_attachment->ID, $size );  ?>

					<li>
						<a class="photo" href="<?php the_permalink(); ?>">
							<img src="<?php echo $image[0]; ?>" alt="<?php the_title( $post->ID ) ?>" />
						</a>
					</li>
				<?php endforeach; ?>
			</ul>
		<?php endif;
	endif; ?>
		<!--Begin Excerpt -->
		<div class="copy">
			<?php if( get_option( "ocmx_content_length" ) != "no" ) :
				the_excerpt();  ?>
				<p class="linker"><a class="action-link" href="<?php the_permalink(); ?>"><?php _e('Continue Reading','ocmx'); ?></a></p>
			<?php else :
				the_content();
			endif; ?>
		</div>
</div> <!-- END .post-content -->
