<div id="post-<?php the_ID(); ?>" <?php post_class("grid clearfix"); ?>>

	<!--Show the Featured Image or Video -->
	<?php if(obox_has_video($post->ID)) :
		$args  = array('postid' => $post->ID, 'width' => '1000', 'hide_href' => true, 'imglink' => false, 'imgnocontainer' => true, 'resizer' => '1080auto');
		$image = get_obox_media($args); ?>

		<div class="fitvid">
			<?php echo $image; ?>
		</div>

	<?php else :

		if(is_page()) :
			$size = '1000';
		else :
			$size = '600';
		endif;

		$args  = array('postid' => $post->ID, 'width' => $size, 'hide_href' => true, 'imglink' => false, 'imgnocontainer' => true, 'resizer' => $size); ?>

	<?php endif; ?>

	<!--Begin Content -->
	<div class="copy">
		<?php the_content(); ?>
	</div>

	<?php if( is_page() ) $meta_suffix = "_page"; else $meta_suffix = "";

	if( get_option( "ocmx_meta_social".$meta_suffix ) != "false" || get_option( "ocmx_meta_tags".$meta_suffix ) != "false" ): ?>
		<!--Begin Meta for Single Posts -->
		<ul class="post-meta clearfix">
			<?php // Show Social Links, if enabled:
			if(  get_option( "ocmx_meta_social".$meta_suffix ) != "false" ): ?>
				<li class="meta-block">
					<?php if( get_option( "ocmx_social_tag") != "" ): ?>
						<div class="social"><?php echo get_option( "ocmx_social_tag" ); ?></div>
					<?php else:
						get_template_part( 'functions/sharing-buttons' );
					endif; ?>
				</li>
			<?php endif; ?>

			<?php // Show Tags, if enabled:
			if( get_option( "ocmx_meta_tags".$meta_suffix ) != "false" && !is_page() ): ?>
				<li class="meta-block">
					<?php the_tags('<ul class="tags"><li>','</li><li>','</li></ul>'); ?>
				</li>
			<?php endif; ?>
		</ul><!--End Meta -->
	<?php endif; ?>

	<?php // Show Comments, unless disabled in the post / page
	comments_template(); ?>
</div>