<?php


function ocmx_add_sidebars(){
// Create Dynamic Sidebars
if (function_exists('register_sidebar')) :
 	register_sidebar(array("name" => "Sidebar", "id" => "sidebar", "description" => "Place the PURPLE (Obox) and GREY (WordPress) widgets here and order them to organize the layout of your sidebar.", "before_title" => "<h4 class='widgettitle'>", "after_title" => "</h4>", "before_widget" => '<li id="%1$s" class="widget clearfix %2$s"><div class="content">', "after_widget" => "</div></li>"));
 	register_sidebar(array("name" => "Home Page", "id" => "homepage", "description" => "Place the ORANGE widgets here and order them to organize the layout of your home page.", "before_title" => '<h3 class="widgettitle">', "after_title" => '</h3>', 'before_widget' => '<li class="widget"><div class="%2$s">', 'after_widget' => '</div></li>'));
	register_sidebar(array("name" => "Footer", "id" => "footersidebar", "description" => "Place the PURPLE (Obox) and GREY (WordPress) widgets here and order them to organize the layout of your footer.", "before_title" => "<h4>", "after_title" => "</h4>", "before_widget" => "<li class=\"column\">", "after_widget" => "</li>"));
endif;
}
add_action("init", "ocmx_add_sidebars");

function add_widgetized_pages(){
	global $wpdb;
	$get_widget_pages = $wpdb->get_results("SELECT * FROM ".$wpdb->postmeta." WHERE `meta_key` = '_wp_page_template' AND  `meta_value` = 'widget-page.php'");
	foreach($get_widget_pages as $pages) :
		$post = get_post($pages->post_id);
		register_sidebar(array("name" => $post->post_title , "description" => "Place all 'Home Page Widgets' here."));
	endforeach;
}
add_action("init", "add_widgetized_pages");