jQuery.noConflict();

/*
TABLE OF CONTENTS:
-------------------------------------
1 - BACK TO TOP
2 - FITVID
3 - ALBUM i BUTTONS
4 - RELATED CONTENT BUTTONS
5 - RESPONSIVE MENUS
6 - INFINITE SCROLL

*/

jQuery(document).ready(function()
	{

		/*- 1 - BACK TO TOP
		--------------------------------------------*/
		jQuery("#back-top").hide();

		jQuery(window).scroll(function () {
			if (jQuery(this).scrollTop() > 560) {
				jQuery('#back-top').fadeIn();
			} else {
				jQuery('#back-top').fadeOut();
			}
		});

		// scroll body to 0px on click
		jQuery('#back-top a').click(function () {
			jQuery('body,html').animate({
				scrollTop: 0
			}, 800);
			return false;
		});

		/*- 2 - FITVID
		--------------------------------------------*/
		jQuery(".fitvid").fitVids();

		/*- 3 - ALBUM i BUTTONS
		--------------------------------------------*/
		jQuery(".info").click(function(){
			jQuery(this).parent().parent().toggleClass("active");
			return false;
		});

		/*- 4 - RELATED CONTENT BUTTONS
		--------------------------------------------*/
		jQuery(".related-comments-link").click(function(){
			jQuery(".related-comments").slideToggle();
			return false;
		});

		jQuery(".related-photos-link").click(function(){
			jQuery(".related-comments").slideUp();
			return false;
		});

		jQuery(".related-photos-link").click(function(){
			jQuery(".related-photos").slideToggle();
			return false;
		});

		jQuery(".related-comments-link").click(function(){
			jQuery(".related-photos").slideUp();
			return false;
		});

		/*- 5 - RESPONSIVE MENUS
		--------------------------------------------*/
		jQuery("#menu-drop-button").bind("click", function(){
			jQuery("#nav").slideToggle();
			jQuery(".sub-menu").css({'visibility': 'visible'});
			jQuery(".sub-menu").css({'display': 'block'});
			return false;
		});
	});


/*- 6 - INFINITE SCROLL
--------------------------------------------*/
jQuery(window).scroll(function(){
	if  (jQuery(window).scrollTop() == jQuery(document).height() - jQuery(window).height()){
		do_infinite_scroll();
	}
});
jQuery.infinitebusy = false;
jQuery.infiniteend = false;
jQuery.page = 2;
function do_infinite_scroll(){
	post_page = ThemeAjax.ajaxurl;

	if( jQuery('.page-grid').data( 'count' ) == '-1' ){ jQuery.infiniteend = true; }

	if( jQuery.infiniteend === true || jQuery.infinitebusy == true) {
		return;
	} else {
		jQuery.infinitebusy = true;
		jQuery.post(
			post_page,
			{
				action : 'ocmx_infinite-scroll',
				paged: 	jQuery.page,
				meta: jQuery('.page-grid').data()
			},
			function(data) {
				jQuery.infinitebusy = false;
				var results = jQuery.parseJSON(data);

				if( results.success == true) {
					$newdiv = jQuery("<div />").html( results.html.replace( /\\n/g, "" ).replace(/\\/g, "") ).text();
					jQuery(".page-grid ul").append( $newdiv );
				} else {
					jQuery.infiniteend = false;
				}
				jQuery.page++;
			}
		);
	}

}