<?php
get_header();

global $wpdb;
//DISTINCT YEAR(post_date) AS year, MONTH(post_date) AS month, count(ID) as posts
global $wpquery;
if (is_paged()) :
    $fetch_archive = query_posts("posts_per_page=12&paged=".get_query_var('paged'));
else :
    $fetch_archive = query_posts("posts_per_page=12&paged=");
endif;
if(isset($last_month))
$last_month = date("m Y", strtotime($wpquery->posts[0]->post_date)); ?>

<div id="left-column">
	<h2 class="page-title"><?php _e('404 | Not Found.','ocmx'); ?></h2>
	<h3 class="section-title"><?php _e('The page you are looking for does not exist.','ocmx'); ?></h3>
	<div class="archives">
        <form action="<?php bloginfo("url"); ?>" method="get" class="search-form">
            <input type="text" name="s" id="s" class="search" maxlength="50" value="<?php the_search_query(); ?>" />
            <input type="submit" class="search_button" value="<?php _e("Search", "ocmx"); ?>" />
		</form>
		<?php if (have_posts()) :
			global $post;
            while (have_posts()) :	the_post(); setup_postdata($post);
                get_template_part("/functions/post-list");
            endwhile;
        else :
            get_template_part( '/functions/post-empty' );
        endif; ?>
	</div>
</div>

<?php get_sidebar(); ?>

<?php get_footer(); ?>