
<!--Show the Excerpt -->
<?php $excerpt = get_the_excerpt();
	if( !has_post_thumbnail() && $post->post_excerpt != "") :
		echo '<div class="gallery-excerpt">';
			echo $excerpt;
		echo '</div>';
	endif; ?>
<!--Show the Images -->
<ul class="photolist">
	<?php global $post, $this_attachment;
	$attachmentargs = array("post_type" => "attachment", "post_parent" => $post->ID, "numberposts" => "-1", "orderby" => "menu_order", "order" => "ASC");
	$attachments = get_posts($attachmentargs);
	foreach($attachments as $attachement => $this_attachment) :
		get_template_part("/functions/album-image-view");
	endforeach; ?>
</ul>
<!--Show the Post Content -->
<div id="post-<?php the_ID(); ?>" <?php post_class("post-content clearfix"); ?>>
	<div class="copy clearfix">
		<?php the_content(); ?>
	</div>

	<!--Show Social Links, if enabled: -->
	<?php if( get_option( "ocmx_meta_social_album" ) != "false" || get_option( "ocmx_meta_tags_album" ) != "false" ): ?>
		<ul class="post-meta clearfix">
			<?php if( get_option( "ocmx_meta_social_album" ) != "false" ): ?>
				<li class="meta-block">
					<?php if( get_option( "ocmx_social_tag") != "" ): ?>
						<div class="social"><?php echo get_option( "ocmx_social_tag" ); ?></div>
					<?php else:
						get_template_part( 'functions/sharing-buttons' );
					 endif; ?>
				</li>
			<?php endif; ?>

			<?php // Show Tags, if enabled:
			$album_tags = wp_get_post_terms( $post->ID, 'album-tag' );
			if( get_option( "ocmx_meta_tags_album" ) != "false" && !empty( $album_tags ) ): ?>
				<li class="meta-block tags">
					<?php foreach ( $album_tags as $tag ) { ?>
						<a href="<?php echo get_term_link( $tag->term_id, "album-tag" ); ?>"><?php echo $tag->name; ?></a>
					<?php } ?>
				</li>
			<?php endif; ?>
		</ul><!--End Meta -->
	<?php endif; ?>
	<!--Show the Comments, if enabled in the post -->
	<?php comments_template(); ?>
</div>